Subject: draft-nadeau-mpls-ds-te-mib-00.txt -some suggestions

From: "Choudhury, Sanjaya" <[email-masked]>
Date: Tue, 8 May 2001 15:37:55 -0400

Hi! Posted these suggestions couple of
	months back, re-posting for soliciting
	feedback.

	Thanks,
	sanjay

-----Original Message-----
From: Choudhury, Sanjaya 
Sent: Wednesday, February 28, 2001 10:55 AM
To: 'Thomas D. Nadeau'; [email-masked]
Cc: Choudhury, Sanjaya
Subject: RE: draft-nadeau-mpls-ds-te-mib-00.txt -some suggestions

Hi! I have few suggestions related to the mplsDsTeIfClassTypeTable.
I will appreciate, if you can take them in to consideration.

Thanks,
sanjay

Suggestions related to the mplsDsTeIfClassTypeTable:
---------------------------------------------------

Advantages of the suggested change:
-----------------------------------
(1) Builds the support for the concepts introduced in the DiffServ-TE
(mpls-diff-te-reqts-00) draft, based on the earlier MPLS-DiffServ
draft(mpls-diff-ext-07).

	How:
	(a) mpls-diff-ext-07 support
	----------------------------
	MPLS-DiffServ draft expects the signaling messages to
	indicate the PSC (section 5.2.2) for L-LSPs.

	It also allows the provision by which user can specify the
	bandwidth associated with each of these PSCs.

	It allows the LSR to perform admission control to ensure
	that constraints on the availability of bandwidth for
	relevant PSC.[Appendix -B.2]

	(I am aware of the fact that to have MIB support for this
	draft needs more work (E-LSP etc), but that discussion
	is beyond the context).

	--> The suggested changes allows for this support. 

	(b) mpls-diff-te-reqts-00 + ospf-diff-te-00
	-------------------------------------------
	As the reqts-00 draft points out, at its finest granularity
	each class-type TE is degenerated into a single Diff-Serv
	class.

	This draft allows, per-class parameters into the per-Class-Type
	parameter for scalability of IGP link state adv.

	--> The suggested changes allows for this support. 

	(c) mpls-diff-te-ext-01
	----------------------
	Allows the class-type to be signaled in the during connection
	setup.

	[Personally, I think this information is redundant, specifically
	for L-LSPs, but I may be wrong.]

	--> The suggested changes allows for this support.

(2) Does not restrict the user from deciding the number of class-types
he wants to support in his domain.

Changes suggested:
-------------------
[This changes listed here just to get the idea across and may not be
syntactically correct or complete.]

(1)
--Add the ability for the user to specify the PSC associated with
--a L-LSP. Logically, this field belongs to the extension of the
--mplsXCTable and mplsTunnelTable (=>mplsDsTeLspTable or equivalent)

mplsDsTeLspPSC OBJECT-TYPE
	SYNTAX	Integer	--16bit value [mpls-diff-ext-07, 5.2.2]

mplsDsTeTunPSC OBJECT-TYPE
	SYNTAX	Integer	--16bit value [mpls-diff-ext-07, 5.2.2]
		
(2) 
--Add the ability to specify the bandwidth requirement for each class
--(mpls-diff-ext-07)
--Add the ability to group per class parameters to per-class-type
--parameters

--
--PSC (class) to class-type mapping (per interface mapping
--or should they be per LSR ?)
--

mplsDsPscToClassTypeEntry OBJECT-TYPE
   MAX-ACCESS    not-accessible
   STATUS        current
   DESCRIPTION ""
   INDEX { mplsInterfaceConfIndex, psc }
   ::= { mplsDsPscToClassTypeTable 1 }

MplsDsPscToClassTypeEntry ::= SEQUENCE {
	psc		Unsigned16,    --16bit value [mpls-diff-ext-07]
	classType   Integer(0..64) --[mpls-diff-te-reqts-00]
}

--
--per class-type bandwidth requirement (per interface mapping)
--

mplsDsClassTypeEntry OBJECT-TYPE
   MAX-ACCESS    not-accessible
   STATUS        current
   DESCRIPTION ""
   INDEX { mplsInterfaceConfIndex, classType }
   ::= { mplsDsClassTypeTable 2 }

MplsDsPscToClassTypeEntry ::= SEQUENCE {
	classType	INTEGER(0..64),
	MaxResBw	Unsigned32,
	UnResBw	Unsigned32
}

(3)
--May be we want to introduce two fields to support maximum number
--of class-types that can be supported and the number of class-types
-- currently configured.

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Friday, February 23, 2001 1:41 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: draft-nadeau-mpls-ds-te-mib-00.txt

	Hi,

	FYI a new MIB for managing MPLS DiffServ-Aware TE
has been posted. This document goes along with the other
four DiffServ-Aware TE documents which have been adopted
in the MPLS, TE, ISIS and OSPF WGs. It should be available
shortly via the IETF's web site. In the meantime, it is
available at the following web/ftp link. As usual, comments
are welcome.

ftp://[email-masked]/ftp/tnadeau/draft-nadeau-mpls-ds-te-mib-00
.txt

	--Tom